## org.springframework.beans
Class NotWritablePropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.FatalBeanException
                              org.springframework.beans.InvalidPropertyException
                                  org.springframework.beans.NotWritablePropertyException

All Implemented Interfaces:
  Serializable

    public class NotWritablePropertyException

extends InvalidPropertyException

Exception thrown on an attempt to set the value of a property that is not writable (typically because there is no setter method).

Author:
  Rod Johnson, Alef Arendsen, Arjen Poutsma
See Also:
  Serialized Form

Constructor Summary
`NotWritablePropertyException(Class beanClass, String propertyName)` Create a new NotWritablePropertyException.
`NotWritablePropertyException(Class beanClass, String propertyName, String msg)` Create a new NotWritablePropertyException.
`NotWritablePropertyException(Class beanClass, String propertyName, String msg, String[] possibleMatches)` Create a new NotWritablePropertyException.
`NotWritablePropertyException(Class beanClass, String propertyName, String msg, Throwable cause)` Create a new NotWritablePropertyException.

Method Summary
`String[]` `getPossibleMatches()` Return suggestions for actual bean property names that closely match the invalid property name, if any.

Methods inherited from class org.springframework.beans.InvalidPropertyException
`getBeanClass, getPropertyName`

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotWritablePropertyException

    public NotWritablePropertyException(Class beanClass,
                                        String propertyName)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name

### NotWritablePropertyException

    public NotWritablePropertyException(Class beanClass,
                                        String propertyName,
                                        String msg)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name
    `msg` - the detail message

### NotWritablePropertyException

    public NotWritablePropertyException(Class beanClass,
                                        String propertyName,
                                        String msg,
                                        Throwable cause)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name
    `msg` - the detail message
    `cause` - the root cause

### NotWritablePropertyException

    public NotWritablePropertyException(Class beanClass,
                                        String propertyName,
                                        String msg,
                                        String[] possibleMatches)

  Create a new NotWritablePropertyException.

  Parameters:
    `beanClass` - the offending bean class
    `propertyName` - the offending property name
    `msg` - the detail message
    `possibleMatches` - suggestions for actual bean property names that closely match the invalid property name

Method Detail

### getPossibleMatches

    public String[] getPossibleMatches()

  Return suggestions for actual bean property names that closely match the invalid property name, if any.